Vulnerability CVE-2013-1469


Published: 2013-03-13   Modified: 2013-03-15

Description:
Directory traversal vulnerability in install.php in Piwigo before 2.4.7 allows remote attackers to read and delete arbitrary files via a .. (dot dot) in the dl parameter.

See advisories in our WLB2 database:
Topic
Author
Date
Med.
Piwigo 2.4.6 (install.php) Remote Arbitrary File Read/Delete Vulnerability
Gjoko LiquidWorm...
18.02.2013
Med.
Piwigo 2.4.6 Cross Site Request Forgery / Traversal Vulnerabilities
High-Tech Bridge...
01.03.2013
Med.
Piwigo 2.7.2 Cross Site Scripting / SQL Injection
TaurusOmar
20.12.2014

Type:

CWE-22

(Improper Limitation of a Pathname to a Restricted Directory ('Path Traversal'))

CVSS2 => (AV:N/AC:H/Au:N/C:P/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4/10
4.9/10
4.9/10
Exploit range
Attack complexity
Authentication
Remote
High
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
Partial
Affected software
Piwigo -> Piwigo 

 References:
https://www.htbridge.com/advisory/HTB23144
http://www.zeroscience.mk/en/vulnerabilities/ZSL-2013-5127.php
http://www.exploit-db.com/exploits/24561
http://piwigo.org/releases/2.4.7
http://piwigo.org/forum/viewtopic.php?id=21470
http://piwigo.org/bugs/view.php?id=0002843
http://packetstormsecurity.com/files/120592/Piwigo-2.4.6-Cross-Site-Request-Forgery-Traversal.html
http://archives.neohapsis.com/archives/bugtraq/2013-02/0153.html

Copyright 2022, cxsecurity.com

 

Back to Top